Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #639

Follow-on to bug#638 - Plz add plugin basename to plugins menu
May 03, 2016 05:45 - Jim Turner
Description

Now that users can enter plugin names as arguments to the new audtool option plugin-enable, would you consider adding the proper
1-word name used there in the Settings.Plugins menus, say in parenthesis after the descriptive name? This would be helpful in
knowing the proper parameter value when en/dis-abling plugins in audtool.

Thanks,

Jim

History

#1 - May 03, 2016 05:54 - John Lindgren

Yes, this is a good idea.

#2 - May 04, 2016 00:37 - Thomas Lange
| think a new command which lists all available plugins would be better.
e |t does not clutter the GUI

e Power users can get the information faster
¢ "Normal" users do not care what plugin name is used internally

#3 - May 04, 2016 04:16 - Jim Turner

So, guess I'm officially an "abnormal abUser" en? LOL :D Sure, a sep. cmd. would be just as good for me, | fugureed adding it the menu would be
easier and cleaner to do, but | just wanted to try out the new audtool feature you just added, but | don't (and others won't) know what the valid
argument names are for most of the plugins.

#4 - May 04, 2016 04:34 - John Lindgren

Is -R /usr/lib/audacious also works.

#5 - May 04, 2016 09:01 - Jim Turner

So, same as the filenames - | shouldda guessed that, thx, JL!

#6 - May 05, 2016 01:36 - John Lindgren

Jim Turner wrote:

So, same as the filenames - | shouldda guessed that, thx, JL!

It actually says that in the manpage ...
#7 - May 15, 2016 08:17 - Jim Turner

The more | think a/b this, the more I'm with Thomas - Since the need for this will be for quick lookup of the proper "names" to be used in the new
audtool parameter (when using audtool), | believe there needs to be an audtool command to list the plugins showing their category, description, and
"basename", making it easy to specify the proper argument value for plugin-enable.

Thanks,

Jim

#8 - July 10, 2016 06:10 - John Lindgren

I'm still not sure how often this would be used, or why we need to write a new audtool command when the "Is" command | gave above will show
exactly the same information.

#9 - January 22, 2017 06:14 - Jim Turner

Ok, never mind, | haven't had a need for it anyway, if so, will just use your Is command. If/since no one else has ask for this, you can cancel this req.
Regards,

Jim

#10 - January 29, 2017 19:35 - John Lindgren

- Status changed from New to Rejected

OK, closing.
